# class IRB::Notifier::NoMsgNotifier

`NoMsgNotifier` is a `LeveledNotifier` that’s used as the default notifier when creating a new `CompositeNotifier`.

This notifier is used as the `zero` index, or level `0`, for `CompositeNotifier#notifiers`, and will not output messages of any sort.

### Public Class Methods

new() click to toggle source

Creates a new notifier that should not be used to output messages.

    # File lib/irb/notifier.rb, line 221
    def initialize
      @base_notifier = nil
      @level = 0
      @prefix = ""
    end

### Public Instance Methods

notify?() click to toggle source

Ensures notifications are ignored, see `AbstractNotifier#notify?` for more information.

    # File lib/irb/notifier.rb, line 229
    def notify?
      false
    end